using System;

namespace SLOVAsharp
{
    class Program
    {
        static void Main(string[] args)
        {
            int n, i, mogucnosti = 0;
            n = int.Parse(Console.ReadLine());
            string natpis = Console.ReadLine();
            if (n <= 26)
            {
                Console.WriteLine("0");
            }
            else
            {  
                for (i = 0; i <n-1;i++)
                {
                    if(natpis[i] == natpis[i+1])
                    {
                        mogucnosti++;
                    }
                }
                if(mogucnosti>1)
                {
                    Console.WriteLine("0");
                }
                else
                {
                    Console.WriteLine("2");
                }
            }

        }
    }
}